<template>
  <div class="form-group">
    <label :for="labelFor">{{ label }}</label>
    <slot />
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  props: {
    label: {
      type: String,
      required: true,
    },
    labelFor: String,
  },
});
</script>

<style scoped></style>
